#include "nodes/card.h"
#include "engine/input_manager.h"

Card::Card() : Node()
{
    name = "Card";

    face->visible = true;
    back->visible = false;

    face->scale = Vec2(0.25f, 0.25f);
    back->scale = Vec2(0.25f, 0.25f);

    addChild(face);
    addChild(back);
}

Card::~Card() = default;

void Card::update() {
    Node::update();
}

void Card::flip()
{
    face->visible = !face->visible;
    back->visible = !back->visible;
    return;
}

void Card::pollInputs() {
    Node::pollInputs();
}

void Card::free() {
    face = nullptr;
    back = nullptr;
    Node::free();
}